<div id="login_box">

  <% if flash.include?(:notices) %>
    <% flash[:notices].each do |notice| %>
      <div id="notice"><%= notice %></div>
    <% end -%>
  <% end -%>

  <h1>Login</h1>

      <%=
      if session[:user_id].nil?
	c = []
	c << start_form_tag({:controller => 'login', 
                            :action => 'login'}, 
                            {:name => 'login'})
        
	c << '<label for="name">Name:</label>'
	c << text_field_tag(:name, 
                            params[:name])
	c << '<br/>'

	c << '<label for="password">Password:</label>'

	c <<  password_field_tag(:password, params[:password])

	c << '<br/>'

	c << submit_tag('Login')
	c << link_to("Forgot password?", :controller => 'login', 
		                         :action     => 'forgot_passwd' ) 
	     

	c << end_form_tag


        c.join "\n"

      else
        c = []
	c << 'logged in as'
	c << content_tag('i', User.find(session[:user_id]).name)
	c << content_tag('div', 
	link_to ("Logout", :controller=>'login', :action=>'logout'))
	c << content_tag('div', 
	                 link_to ("My Virtual Environments", 
                                  :controller=>'cytoskeleton', 
                                  :action=>'areas'), 
                         :id=>'space_before')
	
	c.join "\n"
      end-%>

